<?php
/**
This Example shows how to count projects via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$retval = $api->countProjects();

if ($api->errored){
	echo "Unable to count projects";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
