<?php
/**
This Example shows how to create a case via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$case = array(
	"name"            => "API test case",
	"case-status"     => "open",
	"visibility"      => "selected-people",
	"allowed-users"   => array("INSERT A VALID USER ID","INSERT A VALID USER ID"),
	"attachments"     => array("INSERT A VALID ATTACHMENT ID"),
	"involved-people" => array("INSERT A VALID CONTACT ID")
);

$retval = $api->createCase($case);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
