<?php
/**
This Example shows how to create a task in a case via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$case_id = "INSERT A VALID CASE ID";
$task = array(
	"subject" => "This is a task",
	"responsible-id" => "INSERT A VALID USER ID",
	"time-bucket" => "tomorrow"
);

$retval = $api->createCaseTask($case_id, $task);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
