<?php
/**
This Example shows how to create a category via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$category = array(
	"name" => "API test category",
	//	Possible values: "message" and "file"
	"type" => "message"
);

$retval = $api->createCategory($project_id, $category);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
