<?php
/**
This Example shows how to create a note via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$contact_id = "INSERT A VALID CONTACT ID";
$note = array(
	"body"        => "API test note",
	"date"        => "2012-06-24 15:30:34",
	"visibility"  => "public",
	"attachments" => array("INSERT A VALID ATTACHMENT ID")
);

$retval = $api->createContactNote($contact_id, $note);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
