<?php
/**
This Example shows how to create an event via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

/**
 * Uncomment the following lines to use the new calendar
 */
// $event = array(
// 	"title"              => "API test event",
// 	"location"           => "New York",
// 	"start-date"         => "2016-03-23 10:30:00",
// 	"end-date"           => "2016-03-23 12:30:00",
// 	"all-day"            => "0",
// 	"notes"              => "Important",
// 	"privacy"            => "public",
// 	"recurrence"         => "weekly",
// 	"calendar-id"        => "INSERT A VALID CALENDAR ID"
// );

// $retval = $api->createCalEvent($event);

/**
 * Uncomment the following lines to use the legacy calendar
 */
// $event = array(
// 	"subject"            => "API test event",
// 	"location"           => "New York",
// 	"start"              => "2016-03-23 10:30:00",
// 	"end"                => "2016-03-23 12:30:00",
// 	"allday-flag"        => "0",
// 	"notes"              => "Important",
// 	"privacy-type"       => "public",
// 	"recur-type"         => "weekly",
//  "recur-start"        => "2012-11-05",
//  "recur-end"          => "2013-04-23",
//  "recur-interval"     => "2",
//  "recur-days-of-week" => "monday,friday"
// );

// $calendar_id = "INSERT A VALID CALENDAR ID";

// $retval = $api->createEvent($calendar_id, $event);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
