<?php
/**
This Example shows how to create a message via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$message = array(
	"title"       => "API test message",
	"is-private"  => 0,
	"body"        => "This is a <strong>new</strong> message",
	"subscribers" => array("INSERT A VALID USER ID", "INSERT ANOTHER VALID USER ID"),
	"attachments" => array("INSERT SOME VALID ATTACHMENTS ID")
);

$retval = $api->createMessage($project_id, $message);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
