<?php
/**
This Example shows how to create a project via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project = array(
	"name"                       => "API test project",
	"overview-page-announcement" => "Here comes a new project!",
	"start-page"                 => "messages"
);

$retval = $api->createProject($project);

if ($api->errored){
	echo "Unable to create project";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
