<?php
/**
This Example shows how to create a time entry via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$time_entry = array(
	"notes"       => "API test time entry",
	"date"        => "2012-07-05",
	"user-id"     => "INSERT A VALID USER ID",
	"category-id" => "INSERT A VALID CATEGORY ID",
	// Possible values are: unset, not billable, billable, billed
	"billable"    => "billable",
	"seconds" => "3600"
);

$retval = $api->createProjectTime($project_id, $time_entry);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

?>
