<?php
/**
This Example shows how to delete a deal category via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$category_id = "INSERT A VALID DEAL CATEGORY ID";

$api->deleteDealCategory($category_id);

if ($api->errored){
	echo "Unable to delete deal category";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
