<?php
/**
This Example shows how to delete a recurrent event via the ApolloAPI class.
Please note: this method works only with the new calendar.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$event_id = "INSERT A VALID EVENT ID";

$api->deleteCalSeries($event_id);

if ($api->errored){
	echo "Unable to delete event";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
