<?php
/**
This Example shows how to retrieve your account data via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

echo date("Y-m-d H:i:s")."\n\n";

$api = new ApolloAPI($apikey);

$retval = $api->getAccount();

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCalendars();

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCase(407863);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCase(423403);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCase(558282);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCaseNotes(407863);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCaseNotes(423403);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCaseNotes(558282);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCases("open");

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(371728, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(369702, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(394888, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(377887, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(8, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(414714, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(398072, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getAccount();

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCalendars();

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCase(407863);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCase(423403);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCase(558282);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCaseNotes(407863);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCaseNotes(423403);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCaseNotes(558282);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCases("open");

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(371728, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(369702, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(394888, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(377887, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(8, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(414714, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

$retval = $api->getCategories(398072, NULL);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
	echo $retval."\n";
}

echo "/*****************************************************************************\n";
echo "******************************************************************************\n";
echo "*****************************************************************************/\n";

echo date("Y-m-d H:i:s")."\n\n";

?>
