<?php
/**
This Example shows how to update a note via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$note_id = "INSERT A VALID NOTE ID";
$note = array(
	"body" => "API test note updated",
	"date" => "2012-07-24 15:30:34"
);

$api->updateNote($note_id, $note);

if ($api->errored){
	echo "Unable to update note";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
