<?php
/**
This Example shows how to update a time entry via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$time_entry_id = "INSERT A VALID TIME ENTRY ID";
$time_entry = array(
	"notes" => "API test time entry updated",
	"date"  => "2012-07-15"
);

$api->updateTime($time_entry_id, $time_entry);

if ($api->errored){
	echo "Unable to update time entry";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
