<?php
/**
This Example shows how to reorder task lists via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$project_id = "INSERT A VALID PROJECT ID";
$task_lists = array(
	"INSERT A VALID TASK LIST ID",
	"INSERT A VALID TASK LIST ID",
	"INSERT A VALID TASK LIST ID"
);

$retval = $api->reorderTaskLists($project_id, $task_lists);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
