<?php
/**
This Example shows how to update a case via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$case_id = "INSERT A VALID CASE ID";
$case = array(
	"name"            => "API test case updated",
	"case-status"     => "closed"
);

$retval = $api->updateCase($case_id, $case);

if ($api->errored){
	echo "An error occurred";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
