<?php
/**
This Example shows how to update a comment via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$comment_id = "INSERT A VALID COMMENT ID";
$comment = array(
	"body"        => "API test comment updated",
	"is-private"  => "0",
	"attachments" => array("INSERT A VALID ATTACHMENT ID")
);

$api->updateComment($comment_id, $comment);

if ($api->errored){
	echo "Unable to update comment";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
