<?php
/**
This Example shows how to update a milestone via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$milestone_id = "414448";
$milestone = array(
	"title" => "Updated milestone",
	"completed-at" => "2012-05-28",
	"move-upcoming-milestones" => "1",
	"move-upcoming-milestones-off-weekends" => "1"
);

$api->updateMilestone($milestone_id, $milestone);

if ($api->errored){
	echo "Unable to update milestone";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
