<?php
/**
This Example shows how to update a task via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$task_id = "INSERT A VALID TASK ID";
$task = array(
	"subject"     => "This is an updated task",
	"time-bucket" => "today"
);

$api->updateTask($task_id, $task);

if ($api->errored){
	echo "Unable to update message";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
