<?php
/**
This Example shows how to update a workgroup via the ApolloAPI class.
**/
require_once dirname(__FILE__).'/inc/config.inc.php'; //contains apikey
require_once dirname(__FILE__).'/../ApolloAPI.class.php';

$api = new ApolloAPI($apikey);

$workgroup_id = "INSERT A VALID WORKGROUP ID";
$workgroup = array(
	"name" => "API test workgroup updated",
	"users" => array("-58")
);

$api->updateWorkgroup($workgroup_id, $workgroup);

if ($api->errored){
	echo "Unable to update workgroup";
	echo "\n\tResponse Status=".$api->responseStatus;
	echo "\n\tMessage=".$api->errorMessage."\n";
} else {
	echo "\n\tResponse Status=".$api->responseStatus."\n";
}

?>
